---
gitea: none
include_toc: true
---

# redis-client

## Description

Application service needs interact with a Redis server.

[For more informations](https://redis.io/)

## Variables

### Général (*general*)

#### Redis (*general.redis*)

| Description                                                                                   | Type                                                                                                                       | Supplier       | Values       |
|-----------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|----------------|--------------|
| **Nom de domaine du serveur** (*[redis_client_server_domainname](dictionaries/23_redis.xml)*) | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Redis          |              |
| **Nom d'utilisateur** (*[redis_client_username](dictionaries/23_redis.xml)*)                  | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | Redis:username | <calculated> |
| **Mot de passe de connexion** (*[redis_client_password](dictionaries/23_redis.xml)*)          | [password](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | Redis:password | <calculated> |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

- [peertube](../peertube/README.md)
- [piwigo](../piwigo/README.md)
- [forgejo](../forgejo/README.md)
- [roundcube](../roundcube/README.md)
- [nextcloud](../nextcloud/README.md)

## Provider

[redis](../redis/README.md)

[All applications services for this dataset.](../README.md)
