---
gitea: none
include_toc: true
---

# apache

## Description

Apache as web server.

[For more informations](https://httpd.apache.org/)

## Dependances

- [reverse-proxy-client](../reverse-proxy-client/README.md)

## Variables

### Général (*general*)

#### Apache (*general.apache*)

Paramètrage avancé du serveur web Apache

| Description                                                                                                                       | Help              | Type                                                                                                                    |   Values |
|-----------------------------------------------------------------------------------------------------------------------------------|-------------------|-------------------------------------------------------------------------------------------------------------------------|----------|
| **Temps d'attente des entrées/sorties avant de considérer qu'une requête a échoué** (*[apache_timeout](dictionaries/20_web.xml)*) | Temps en secondes | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  |      300 |
| **Autoriser les connexions persistantes** (*[apache_keepalive](dictionaries/20_web.xml)*)                                         |                   | [boolean](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |     True |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

- [nextcloud](../nextcloud/README.md)
- [joomla (in external dataset)](https://forge.cloud.silique.fr/gnunux/dataset-gnunux/src/branch/main/seed/joomla/README.md)

[All applications services for this dataset.](../README.md)
