---
gitea: none
include_toc: true
---

# nginx-common

## Description

Nginx common configuration.

[For more informations](https://nginx.org/)

## Variables

### Général (*general*)

#### NGINX (*general.nginx*)

Paramétrage global de NGINX

| Description                                                                                                             | Help                                                                                                    | Type                                                                                                                       | Values   | Choices             |
|-------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|----------|---------------------|
| Nom de domaine du serveur mandataire inverse par défaut (*[nginx_default](dictionaries/21_nginx.xml)*)                  | Si un client accède au serveur avec un nom de domaine non déclaré, le flux est redirigé vers ce domaine | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |          |                     |
| **Longueur maximum pour un nom de domaine** (*[nginx_hash_bucket_size](dictionaries/21_nginx.xml)*)                     |                                                                                                         | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | 128      | 128<br />64<br />32 |
| **Taille maximale des données reçues par la méthode POST (en Mo)** (*[nginx_post_max_size](dictionaries/21_nginx.xml)*) |                                                                                                         | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | 32       |                     |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

- [nginx-reverse-proxy](../nginx-reverse-proxy/README.md)
- [nginx-https](../nginx-https/README.md)

[All applications services for this dataset.](../README.md)
