---
gitea: none
include_toc: true
---

# php-fpm

## Description

PHP FPM.

## Dependances

- [php](../php/README.md)

## Variables

### Général (*general*)

#### nginx (*general.nginx*)

| Description                                           | Type                                                                                                                      | Values   |
|-------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|----------|
| *[**php_fpm_user**](dictionaries/20_phpfpm.xml)*      | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | root     |
| *[**php_fpm_installed**](dictionaries/20_phpfpm.xml)* | [boolean](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | True     |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

- [piwigo](../piwigo/README.md)
- [roundcube](../roundcube/README.md)
- [nextcloud](../nextcloud/README.md)
- [galette (in external dataset)](https://forge.cloud.silique.fr/gnunux/dataset-gnunux/src/branch/main/seed/galette/README.md)
- [joomla (in external dataset)](https://forge.cloud.silique.fr/gnunux/dataset-gnunux/src/branch/main/seed/joomla/README.md)
- [dotclear (in external dataset)](https://forge.cloud.silique.fr/gnunux/dataset-gnunux/src/branch/main/seed/dotclear/README.md)
- [sensmotdire (in external dataset)](https://forge.cloud.silique.fr/gnunux/dataset-gnunux/src/branch/main/seed/sensmotdire/README.md)

[All applications services for this dataset.](../README.md)
