---
gitea: none
include_toc: true
---

# postfix-lmtp-relay

## Description

Postfix, the mail server, as LMTP relay.

[For more informations](http://www.postfix.org/)

## Variables

### Lmtp (*lmtp*)

| Description                                                       | Type                                                                                                                       | Provider   |
|-------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| LMTP remote server (*[server_lmtp](extras/lmtp/00_lmtp.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | LMTP       |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

[postfix-relay](../postfix-relay/README.md)

## Supplier

[relay-lmtp-client](../relay-lmtp-client/README.md)

[All applications services for this dataset.](../README.md)
