---
gitea: none
include_toc: true
---

# speedtest-rs

## Description

Speedtest-rs, a very lightweight Speedtest.

[For more informations](https://cloud.silique.fr/gitea/Silique/speedtest-rs)

## Dependances

- [base-fedora-36](../base-fedora-36/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [reverse-proxy-client](../reverse-proxy-client/README.md)

## Variables

### Général (*general*)

#### revprox (*general.revprox*)

| Description                                                         | Values    |
|---------------------------------------------------------------------|-----------|
| *[**revprox_client_cert_owner**](dictionaries/40_speedtest-rs.xml)* | speedtest |

### Machine (*machine*)

| Description                                          |   Values |
|------------------------------------------------------|----------|
| *[**var_size**](extras/machine/20_speedtest-rs.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_speedtest-rs.xml)*  |    False |
| *[**add_srv**](extras/machine/20_speedtest-rs.xml)*  |    False |
| *[**add_swap**](extras/machine/20_speedtest-rs.xml)* |    False |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
